###################################################
### chunk number 1: 
###################################################
#line 43 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
par(mfrow=c(1,1))
options(width=72)
figset <- function() par(mar=c(4,4,1,1)+.1)
options(SweaveHooks = list(fig = figset))
options("prompt" = "R> ", "continue" = "+  ")


###################################################
### chunk number 2: 
###################################################
#line 69 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
library(vegan)
data(BCI)


###################################################
### chunk number 3: 
###################################################
#line 89 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
H <- diversity(BCI)


###################################################
### chunk number 4: 
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
J <- H/log(specnumber(BCI))


###################################################
### chunk number 5: 
###################################################
#line 124 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
k <- sample(nrow(BCI), 6)
R <- renyi(BCI[k,])


###################################################
### chunk number 6: 
###################################################
#line 132 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
require(lattice, quietly=TRUE)


###################################################
### chunk number 7: 
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
print(plot(R))


###################################################
### chunk number 8: 
###################################################
#line 148 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
alpha <- fisher.alpha(BCI)


###################################################
### chunk number 9: 
###################################################
#line 185 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
quantile(rowSums(BCI))


###################################################
### chunk number 10: 
###################################################
#line 189 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
Srar <- rarefy(BCI, min(rowSums(BCI)))


###################################################
### chunk number 11: 
###################################################
#line 198 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
S2 <- rarefy(BCI, 2)


###################################################
### chunk number 12: 
###################################################
#line 203 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
all(rank(Srar) == rank(S2))


###################################################
### chunk number 13: 
###################################################
#line 209 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
range(diversity(BCI, "simp") - (S2 -1))


###################################################
### chunk number 14: 
###################################################
#line 272 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
data(dune)
data(dune.taxon)
taxdis <- taxa2dist(dune.taxon, varstep=TRUE)
mod <- taxondive(dune, taxdis)


###################################################
### chunk number 15: 
###################################################
#line 279 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
plot(mod)


###################################################
### chunk number 16: 
###################################################
#line 305 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
tr <- hclust(taxdis, "aver")
mod <- treedive(dune, tr)


###################################################
### chunk number 17: 
###################################################
#line 329 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
k <- sample(nrow(BCI), 1)
fish <- fisherfit(BCI[k,])
fish


###################################################
### chunk number 18: 
###################################################
#line 335 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
plot(fish)


###################################################
### chunk number 19: 
###################################################
#line 351 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
confint(fish)


###################################################
### chunk number 20: 
###################################################
#line 376 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
prestondistr(BCI[k,])


###################################################
### chunk number 21: 
###################################################
#line 408 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
rad <- radfit(BCI[k,])
rad


###################################################
### chunk number 22: 
###################################################
#line 413 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
print(radlattice(rad))


###################################################
### chunk number 23: a
###################################################
#line 477 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
sac <- specaccum(BCI)
plot(sac, ci.type="polygon", ci.col="yellow")


###################################################
### chunk number 24: 
###################################################
#line 482 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
#line 477 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw#from line#482#"
sac <- specaccum(BCI)
plot(sac, ci.type="polygon", ci.col="yellow")
#line 483 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"


###################################################
### chunk number 25: 
###################################################
#line 511 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
ncol(BCI)/mean(specnumber(BCI)) - 1


###################################################
### chunk number 26: 
###################################################
#line 529 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
beta <- vegdist(BCI, binary=TRUE)
mean(beta)


###################################################
### chunk number 27: 
###################################################
#line 538 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
betadiver(help=TRUE)


###################################################
### chunk number 28: 
###################################################
#line 557 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
z <- betadiver(BCI, "z")
quantile(z)


###################################################
### chunk number 29: 
###################################################
#line 569 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
data(dune)
data(dune.env)
z <- betadiver(dune, "z")
mod <- with(dune.env, betadisper(z, Management))
mod


###################################################
### chunk number 30: 
###################################################
#line 577 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
boxplot(mod)


###################################################
### chunk number 31: 
###################################################
#line 638 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
specpool(BCI)


###################################################
### chunk number 32: 
###################################################
#line 644 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
s <- sample(nrow(BCI), 25)
specpool(BCI[s,])


###################################################
### chunk number 33: 
###################################################
#line 657 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
estimateR(BCI[k,])


###################################################
### chunk number 34: 
###################################################
#line 694 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
veiledspec(prestondistr(BCI[k,]))
veiledspec(BCI[k,])


###################################################
### chunk number 35: 
###################################################
#line 709 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
smo <- beals(BCI)


###################################################
### chunk number 36: a
###################################################
#line 716 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
j <- which(colnames(BCI) == "Ceiba.pentandra")
plot(beals(BCI, species=j, include=FALSE), BCI[,j], main="Ceiba pentandra", xlab="Probability of occurrence", ylab="Occurrence")


###################################################
### chunk number 37: 
###################################################
#line 721 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"
#line 716 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw#from line#721#"
j <- which(colnames(BCI) == "Ceiba.pentandra")
plot(beals(BCI, species=j, include=FALSE), BCI[,j], main="Ceiba pentandra", xlab="Probability of occurrence", ylab="Occurrence")
#line 722 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/diversity-vegan.Rnw"


